package com.persagy.transfer.constant;

/**
 * ADM 通用常量
 *
 * @author Charlie Yu
 * @date 2021-08-16
 */
public interface SwitchConstant {

    /**
     * 数据源 1
     */
    String DS_MASTER_1 = "master_1";

    /**
     * 数据源 2
     */
    String DS_MASTER_2 = "master_2";

    /**
     * 项目根路径
     */
    String SERVER_ROOT_PATH = System.getProperty("user.dir");

    String EMPTY = "";

    /**
     * appId
     */
    String APP_ID = "DMZ";

    /**
     * 默认的userId
     */
    String USER_ID = "systemId";

    /**
     * 集团编码 header key
     */
    String GROUP_CODE_HEADER = "groupCode";

    /**
     * 项目ID header key
     */
    String PROJECT_ID_HEADER = "projectId";

    /**
     * appID header key
     */
    String APP_ID_HEADER = "appId";

    /**
     * userID header key
     */
    String USER_ID_HEADER = "userId";

    /**
     * 连接符 .
     */
    String POINT = ".";
    
    /**
     * 连接符 ？
     */
    String WHERE = "?";

    /**
     * 连接符 &
     */
    String AND = "&";

    /**
     * 连接符 _
     */
    String UNDERLINE = "_";

    /**
     * 连接符 -
     */
    String LINE_THROUGH = "-";

    /**
     * 连接符 →
     */
    String RIGHT_ARROW = "→";

    /**
     * 有效标示
     */
    String VALID = "valid";

    /**
     * 设备状态-运行中
     */
    String RUNNING = "运行中";

    /**
     * 设备状态-报废
     */
    String SCRAP = "报废";

    /**
     * 设备状态-update
     */
    String IS_UPDATE = "update";

    /**
     * 设备状态-delete
     */
    String IS_DELETE = "delete";

}
