package com.persagy.transfer.task;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import com.persagy.transfer.handle.WDRwdObjectTransferHandler;

import lombok.extern.slf4j.Slf4j;

/**
 * @description: 同步设备数据到万达数据库
 * @author: YangWanYi
 * @create: 2021-09-16 11:28
 **/
@Slf4j
@Component
public class SycnEquDataToWdTask {

    //@Autowired
    //private IPersagyDbService persagyDbService;
	
	@Autowired
	private WDRwdObjectTransferHandler rwdObjectTransferHandler;

    /**
     * 数据同步逻辑
     */
    @Scheduled(cron = "${sync.rwd-object.to-wd:0 0/1 * * * ?}")
    public void execute() {
        log.info("定时任务：开始同步设备信息到万达中间表");
        try {
        	this.rwdObjectTransferHandler.syncRwdObject2WD();
        } catch (Exception e) {
            e.printStackTrace();
            log.error("定时任务：同步设备信息到万达中间表处理失败", e);
        }
    }
}
