package com.persagy.transfer.utils;

import org.apache.commons.lang3.StringUtils;

import java.time.LocalDateTime;
import java.time.ZoneId;
import java.time.ZonedDateTime;
import java.time.format.DateTimeFormatter;
import java.util.Date;

/**
 * @description: 字符串相关扩展工具类
 * @author: YangWanYi
 * @create: 2021-09-16 21:05
 **/
public class StringTool {

    public static String object2String(Object obj) {
        if (obj != null && StringUtils.isNotBlank(String.valueOf(obj)) && !"null".equals(String.valueOf(obj))) {
            return String.valueOf(obj);
        } else {
            return StringUtils.EMPTY;
        }
    }

    public static Double object2Double(Object obj) {
        if (obj != null && StringUtils.isNotBlank(String.valueOf(obj))) {
            return Double.valueOf(String.valueOf(obj));
        } else {
            return 0d;
        }
    }

    public static Date object2DateTime(Object obj) {
        DateTimeFormatter dtf = DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss");
        if (obj != null && StringUtils.isNotBlank(String.valueOf(obj))) {
            ZoneId zoneId = ZoneId.systemDefault();
            ZonedDateTime zdt = LocalDateTime.parse(String.valueOf(obj), dtf).atZone(zoneId);
            return Date.from(zdt.toInstant());
        } else {
            return null;
        }
    }

    public static Integer object2Integer(Object obj) {
        if (obj != null && StringUtils.isNotBlank(String.valueOf(obj))) {
            return Integer.valueOf(String.valueOf(obj));
        } else {
            return 0;
        }
    }

}
